#84 make returns unsupported gcc version

1.5.x
closed-fixed
core (47)
5
2009-04-06
2009-04-05
Anonymous
No

Makefile.defs

GCC >4.3 allows compiling with the --with-pkgversion option (which can be anything) which in turn makes the ver_linux function report all sorts of garbage when using the --version option. Using -dumpversion to obtain the correct gcc version will always work.

Discussion

  • Makefile.defs patch for correct GCC version reporting

     
    Attachments
  • :)

    Forgot to login to sourceforge when I posted this.

    - Darren Sessions (dmsessions on SF, dmsessions@gmail.com)

     
    • assigned_to: nobody --> saguti
     
  • Hello Darren.

    Patch has been applied to trunk. Please update and test again to verify it.

    Thanks and regards.

    Sergio

     
  • Applied in revision 5590. Credits go to Darren Sessions.

     
    • status: open --> closed-fixed